Runtime

## org.eclipse.gmf.runtime.notation
Interface GuideStyle

All Superinterfaces:
  EObject, Notifier, Style

All Known Subinterfaces:
  DiagramStyle

All Known Implementing Classes:
  DiagramStyleImpl, GuideStyleImpl

public interface GuideStyle
extends Style

A representation of the model object 'Guide Style'.

The guide style is a style to be installed on diagrams that support rulers/guides

The following features are supported:

- `Horizontal Guides`
- `Vertical Guides`

See Also:
  `NotationPackage.getGuideStyle()`
** Generated **
Model:

Method Summary
`EList` `getHorizontalGuides()` Returns the value of the 'Horizontal Guides' containment reference list.
`EList` `getVerticalGuides()` Returns the value of the 'Vertical Guides' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getHorizontalGuides

    public EList getHorizontalGuides()

  Returns the value of the 'Horizontal Guides' containment reference list. The list contents are of type `Guide`.

  These are the guides along the horizontal ruler of the diagram

  Returns:
    the value of the 'Horizontal Guides' containment reference list.
  See Also:
    `NotationPackage.getGuideStyle_HorizontalGuides()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.runtime.notation.Guide" containment="true"

### getVerticalGuides

    public EList getVerticalGuides()

  Returns the value of the 'Vertical Guides' containment reference list. The list contents are of type `Guide`.

  These are the guides along the vertical ruler of the diagram

  Returns:
    the value of the 'Vertical Guides' containment reference list.
  See Also:
    `NotationPackage.getGuideStyle_VerticalGuides()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.runtime.notation.Guide" containment="true"

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.